#### D.6.15.14 is_NND

Procedure from library `hnoether.lib` (see hnoether_lib).

Usage:
  is_NND(f[,mu,NP]); f poly, mu int, NP list of intvecs

Assume:
  f is convenient, that is, f(x,0) != 0 != f(0,y);
  mu (optional) is Milnor number of f.
  NP (optional) is output of `newtonpoly(f)`.

Return:
  int: 1 if f is Newton non-degenerate, 0 otherwise.

Example:

    LIB "hnoether.lib";
    ring r=0,(x,y),ls;
    poly f=x5+y3;
    is_NND(f);
    ==> 1
    poly g=(x-y)^5+3xy5+y6-y7;
    is_NND(g);
    ==> 0
    // if already computed, one should give the Minor number and Newton polygon
    // as second and third input:
    int mu=milnor(g);
    list NP=newtonpoly(g);
    is_NND(g,mu,NP);
    ==> 0

See also: newtonpoly.

User manual for Singular version 4.4.1, 2025, generated by texi2html.